# Automatically generated file proj.py"

import empro, empro.toolkit

def ads_simulation_settings():
	# Frequency plan:
	frequency_plan_list=empro.activeProject.createSimulationData().femFrequencyPlanList()
	frequency_plan=empro.simulation.FrequencyPlan()
	frequency_plan.type="Adaptive"
	frequency_plan.startFrequency=4000000000
	frequency_plan.stopFrequency=7000000000
	frequency_plan.samplePointsLimit=51
	frequency_plan_list.append(frequency_plan)
	# Simulation options:
	sim=empro.activeProject.createSimulationData()
	sim.engine = empro.toolkit.simulation.FEM
	sim.femMeshSettings.minimumNumberOfPasses      = 5
	sim.femMeshSettings.maximumNumberOfPasses      = 15
	sim.femMeshSettings.deltaError                 = 0.01
	sim.femMeshSettings.refineAtSpecificFrequency  = 0
	sim.femMeshSettings.refinementFrequency        = 0
	sim.femMeshSettings.requiredConsecutivePasses  = 1
	sim.femMeshSettings.meshRefinementPercentage   = 25
	sim.femMeshSettings.orderOfBasisFunctions      = 2
	sim.dataSetFileName                            = ''
	sim.femMatrixSolver.solverType=MatrixSolverDirect = "MatrixSolverIterative"
	sim.femMatrixSolver.maximumNumberOfIterations     = 150
	sim.femMatrixSolver.tolerance                     = 1e-05

def ads_import():
	ads_simulation_settings()
	session=empro.toolkit.ads_import.Import_session(units="mm", wall_boundary="Radiation")
	V=empro.geometry.Vector3d
	L=empro.geometry.Line
	materials={}
	material=session.create_material(name="cond", color=(238,106,80,255), resistance=0)
	empro.activeProject.materials().append(material)
	materials["cond"]=material
	material=session.create_material(name="hole", color=(0,191,255,255), resistance=0)
	empro.activeProject.materials().append(material)
	materials["hole"]=material
	empro.activeProject.boundaryConditions().zLowerBoundaryType="PEC"
	material=session.create_material(name="closed_bottom", color=(192,192,192,255), resistance=0)
	empro.activeProject.materials().append(material)
	materials["closed_bottom"]=material
	material=session.create_material(name="FreeSpace", color=(202,225,255,255), permittivity=1, permeability=1)
	empro.activeProject.materials().append(material)
	materials["FreeSpace"]=material
	material=session.create_material(name="Alumina", color=(202,225,255,255), permittivity=9.6, permeability=1)
	empro.activeProject.materials().append(material)
	materials["Alumina"]=material
	empro.activeProject.parameters().append("lateralExtension","5 mm","Substrate LATERAL extension",True)
	empro.activeProject.parameters().append("verticalExtension","5 mm","Substrate VERTICAL extension",True)
	empro.activeProject.parameters().append("xLowerExtension","0 mm","Lower X extension",False)
	empro.activeProject.parameters().append("xUpperExtension","0 mm","Upper X extension",False)
	empro.activeProject.parameters().append("yLowerExtension","lateralExtension","Lower Y extension",True)
	empro.activeProject.parameters().append("yUpperExtension","lateralExtension","Upper Y extension",True)
	empro.activeProject.parameters().append("zLowerExtension","0 mm","Lower Z extension",False)
	empro.activeProject.parameters().append("zUpperExtension","verticalExtension","Upper Z extension",True)
	assembly=empro.geometry.Assembly()
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0,"-0.0082-yLowerExtension",0),V(0.024822,"-0.0082-yLowerExtension",0)))
	edges.append(L(V(0.024822,"-0.0082-yLowerExtension",0),V(0.024822,"0.0042+yUpperExtension",0)))
	edges.append(L(V(0.024822,"0.0042+yUpperExtension",0),V(0,"0.0042+yUpperExtension",0)))
	edges.append(L(V(0,"0.0042+yUpperExtension",0),V(0,"-0.0082-yLowerExtension",0)))
	sketch.addEdges(edges)
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex0",V(0,"-0.0082-yLowerExtension",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex1",V(0.024822,"-0.0082-yLowerExtension",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex2",V(0.024822,"0.0042+yUpperExtension",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex3",V(0,"0.0042+yUpperExtension",0)))
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,"zUpperExtension",V(0,0,1)))
	part.coordinateSystem.translate(V(0,0,0.000635))
	part.name="FreeSpace"
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=50
	empro.toolkit.applyMaterial(part,materials["FreeSpace"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0,"-0.0082-yLowerExtension",0),V(0.024822,"-0.0082-yLowerExtension",0)))
	edges.append(L(V(0.024822,"-0.0082-yLowerExtension",0),V(0.024822,"0.0042+yUpperExtension",0)))
	edges.append(L(V(0.024822,"0.0042+yUpperExtension",0),V(0,"0.0042+yUpperExtension",0)))
	edges.append(L(V(0,"0.0042+yUpperExtension",0),V(0,"-0.0082-yLowerExtension",0)))
	sketch.addEdges(edges)
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex0",V(0,"-0.0082-yLowerExtension",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex1",V(0.024822,"-0.0082-yLowerExtension",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex2",V(0.024822,"0.0042+yUpperExtension",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex3",V(0,"0.0042+yUpperExtension",0)))
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.name="Alumina"
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=50
	empro.toolkit.applyMaterial(part,materials["Alumina"])
	assembly.append(part)
	assembly.name="substrate"
	session.hide_part(assembly)
	empro.activeProject.geometry().append(assembly)
	session.adjust_view()
	ports=[]
	assembly=empro.geometry.Assembly()
	waveform=empro.waveform.Waveform("Broadband Pulse")
	waveform.shape=empro.waveform.MaximumFrequencyWaveformShape()
	empro.activeProject.waveforms().append(waveform)
	feed=empro.components.Feed()
	feed.name="50 ohm Voltage Source"
	feed.impedance.resistance=50
	feed.waveform=empro.activeProject.waveforms()["Broadband Pulse"]
	empro.activeProject.circuitComponentDefinitions().append(feed)
	sketch=empro.geometry.Sketch()
	sketch.addEdge(L(V(0,"max(-0.0618075,-0.0082-yLowerExtension)",0),V(0,"min(0.0618075,0.0042+yUpperExtension)",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex0",V(0,"max(-0.0618075,-0.0082-yLowerExtension)",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex1",V(0,"min(0.0618075,0.0042+yUpperExtension)",0)))
	extrusion=empro.geometry.Extrude(sketch,"min(0.064135,0.000635+zUpperExtension)",V(0,0,1))
	extrusion.options.solid=False
	part=empro.geometry.Model()
	part.recipe.append(extrusion)
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.includeInMesh=False
	assembly.append(part)
	waveguide=empro.components.WaveGuide()
	waveguide.name="S(1)"
	waveguide.definition=empro.activeProject.circuitComponentDefinitions()["50 ohm Voltage Source"]
	waveguide.offset=0
	waveguide.faces=[(part,part.faces()[0])]
	waveguide.setGridGenerator(empro.activeProject.gridGenerator())
	waveguide.paddingBox=empro.geometry.BoundingBox2D(empro.geometry.Vector2d(0,0),empro.geometry.Vector2d(0,0))
	waveguide.usePaddingBox=True
	mode=empro.components.WaveGuideMode()
	mode.head=V(0,0,0.000635)
	mode.tail=V(0,0,0)
	waveguide.appendMode(mode)
	empro.activeProject.waveGuides().append(waveguide)
	sketch=empro.geometry.Sketch()
	sketch.addEdge(L(V(0.024822,"max(-0.0618075,-0.0082-yLowerExtension)",0),V(0.024822,"min(0.0618075,0.0042+yUpperExtension)",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex0",V(0.024822,"max(-0.0618075,-0.0082-yLowerExtension)",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex1",V(0.024822,"min(0.0618075,0.0042+yUpperExtension)",0)))
	extrusion=empro.geometry.Extrude(sketch,"min(0.064135,0.000635+zUpperExtension)",V(0,0,1))
	extrusion.options.solid=False
	part=empro.geometry.Model()
	part.recipe.append(extrusion)
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.includeInMesh=False
	assembly.append(part)
	waveguide=empro.components.WaveGuide()
	waveguide.name="S(2)"
	waveguide.definition=empro.activeProject.circuitComponentDefinitions()["50 ohm Voltage Source"]
	waveguide.offset=0
	waveguide.faces=[(part,part.faces()[0])]
	waveguide.setGridGenerator(empro.activeProject.gridGenerator())
	waveguide.paddingBox=empro.geometry.BoundingBox2D(empro.geometry.Vector2d(0,0),empro.geometry.Vector2d(0,0))
	waveguide.usePaddingBox=True
	mode=empro.components.WaveGuideMode()
	mode.head=V(0.024822,0,0.000635)
	mode.tail=V(0.024822,0,0)
	waveguide.appendMode(mode)
	empro.activeProject.waveGuides().append(waveguide)
	empro.activeProject.circuitComponents().appendList(ports)
	assembly.name="waveguide_planes"
	session.hide_part(assembly)
	empro.activeProject.geometry().append(assembly)
	assembly=empro.geometry.Assembly()
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.005582,-0.0001765,0),V(0.005582,-0.0043365,0)))
	edges.append(L(V(0.005582,-0.0043365,0),V(0.005935,-0.0043365,0)))
	edges.append(L(V(0.005935,-0.0043365,0),V(0.005935,-0.0001765,0)))
	edges.append(L(V(0.005935,-0.0001765,0),V(0.005582,0.0001765,0)))
	edges.append(L(V(0.005582,0.0001765,0),V(0.00532,0.0003075,0)))
	edges.append(L(V(0.00532,0.0003075,0),V(0,0.0003075,0)))
	edges.append(L(V(0,0.0003075,0),V(0,-0.0003075,0)))
	edges.append(L(V(0,-0.0003075,0),V(0.00532,-0.0003075,0)))
	edges.append(L(V(0.00532,-0.0003075,0),V(0.005582,-0.0001765,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Cover(sketch))
	part.coordinateSystem.translate(V(0,0,0.000635))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=101
	empro.toolkit.applyMaterial(part,materials["cond"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.008207,1.5e-06,0),V(0.007854,1.5e-06,0)))
	edges.append(L(V(0.007854,1.5e-06,0),V(0.007854,-0.0045195,0)))
	edges.append(L(V(0.007854,-0.0045195,0),V(0.006327,-0.0045195,0)))
	edges.append(L(V(0.006327,-0.0045195,0),V(0.006327,-0.0003595,0)))
	edges.append(L(V(0.006327,-0.0003595,0),V(0.005974,-0.0003595,0)))
	edges.append(L(V(0.005974,-0.0003595,0),V(0.005974,-0.0045195,0)))
	edges.append(L(V(0.005974,-0.0045195,0),V(0.006327,-0.0048725,0)))
	edges.append(L(V(0.006327,-0.0048725,0),V(0.007854,-0.0048725,0)))
	edges.append(L(V(0.007854,-0.0048725,0),V(0.008207,-0.0045195,0)))
	edges.append(L(V(0.008207,-0.0045195,0),V(0.008207,1.5e-06,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Cover(sketch))
	part.coordinateSystem.translate(V(0,0,0.000635))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=101
	empro.toolkit.applyMaterial(part,materials["cond"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.010526,0.0001765,0),V(0.0105259,-0.0042956,0)))
	edges.append(L(V(0.0105259,-0.0042956,0),V(0.0108791,-0.0042956,0)))
	edges.append(L(V(0.0108791,-0.0042956,0),V(0.0108791,0.0001765,0)))
	edges.append(L(V(0.0108791,0.0001765,0),V(0.010526,0.0005295,0)))
	edges.append(L(V(0.010526,0.0005295,0),V(0.008952,0.0005295,0)))
	edges.append(L(V(0.008952,0.0005295,0),V(0.008599,0.0001765,0)))
	edges.append(L(V(0.008599,0.0001765,0),V(0.0085989,-0.0043445,0)))
	edges.append(L(V(0.0085989,-0.0043445,0),V(0.008952,-0.0043445,0)))
	edges.append(L(V(0.008952,-0.0043445,0),V(0.008952,0.0001765,0)))
	edges.append(L(V(0.008952,0.0001765,0),V(0.010526,0.0001765,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Cover(sketch))
	part.coordinateSystem.translate(V(0,0,0.000635))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=101
	empro.toolkit.applyMaterial(part,materials["cond"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.013551,-1.05e-05,0),V(0.013198,-1.05e-05,0)))
	edges.append(L(V(0.013198,-1.05e-05,0),V(0.013198,-0.0044825,0)))
	edges.append(L(V(0.013198,-0.0044825,0),V(0.011624,-0.0044825,0)))
	edges.append(L(V(0.011624,-0.0044825,0),V(0.011624,-1.05e-05,0)))
	edges.append(L(V(0.011624,-1.05e-05,0),V(0.011271,-1.05e-05,0)))
	edges.append(L(V(0.011271,-1.05e-05,0),V(0.011271,-0.0044825,0)))
	edges.append(L(V(0.011271,-0.0044825,0),V(0.011624,-0.0048355,0)))
	edges.append(L(V(0.011624,-0.0048355,0),V(0.013198,-0.0048355,0)))
	edges.append(L(V(0.013198,-0.0048355,0),V(0.013551,-0.0044825,0)))
	edges.append(L(V(0.013551,-0.0044825,0),V(0.013551,-1.05e-05,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Cover(sketch))
	part.coordinateSystem.translate(V(0,0,0.000635))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=101
	empro.toolkit.applyMaterial(part,materials["cond"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.01587,0.0001765,0),V(0.0158699,-0.0043445,0)))
	edges.append(L(V(0.0158699,-0.0043445,0),V(0.0162231,-0.0043445,0)))
	edges.append(L(V(0.0162231,-0.0043445,0),V(0.0162231,0.0001765,0)))
	edges.append(L(V(0.0162231,0.0001765,0),V(0.01587,0.0005295,0)))
	edges.append(L(V(0.01587,0.0005295,0),V(0.014296,0.0005295,0)))
	edges.append(L(V(0.014296,0.0005295,0),V(0.013943,0.0001765,0)))
	edges.append(L(V(0.013943,0.0001765,0),V(0.0139429,-0.0042956,0)))
	edges.append(L(V(0.0139429,-0.0042956,0),V(0.014296,-0.0042956,0)))
	edges.append(L(V(0.014296,-0.0042956,0),V(0.014296,0.0001765,0)))
	edges.append(L(V(0.014296,0.0001765,0),V(0.01587,0.0001765,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Cover(sketch))
	part.coordinateSystem.translate(V(0,0,0.000635))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=101
	empro.toolkit.applyMaterial(part,materials["cond"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.018848,-0.0003595,0),V(0.018495,-0.0003595,0)))
	edges.append(L(V(0.018495,-0.0003595,0),V(0.018495,-0.0045195,0)))
	edges.append(L(V(0.018495,-0.0045195,0),V(0.016968,-0.0045195,0)))
	edges.append(L(V(0.016968,-0.0045195,0),V(0.016968,1.5e-06,0)))
	edges.append(L(V(0.016968,1.5e-06,0),V(0.016615,1.5e-06,0)))
	edges.append(L(V(0.016615,1.5e-06,0),V(0.016615,-0.0045195,0)))
	edges.append(L(V(0.016615,-0.0045195,0),V(0.016968,-0.0048725,0)))
	edges.append(L(V(0.016968,-0.0048725,0),V(0.018495,-0.0048725,0)))
	edges.append(L(V(0.018495,-0.0048725,0),V(0.018848,-0.0045195,0)))
	edges.append(L(V(0.018848,-0.0045195,0),V(0.018848,-0.0003595,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Cover(sketch))
	part.coordinateSystem.translate(V(0,0,0.000635))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=101
	empro.toolkit.applyMaterial(part,materials["cond"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0032,-0.0056,0),V(0.0032,-0.0082,0)))
	edges.append(L(V(0.0032,-0.0082,0),V(0.022,-0.0082,0)))
	edges.append(L(V(0.022,-0.0082,0),V(0.022,-0.0056,0)))
	edges.append(L(V(0.022,-0.0056,0),V(0.0032,-0.0056,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Cover(sketch))
	part.coordinateSystem.translate(V(0,0,0.000635))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=101
	empro.toolkit.applyMaterial(part,materials["cond"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0032,0.0042,0),V(0.0032,0.0016,0)))
	edges.append(L(V(0.0032,0.0016,0),V(0.022,0.0016,0)))
	edges.append(L(V(0.022,0.0016,0),V(0.022,0.0042,0)))
	edges.append(L(V(0.022,0.0042,0),V(0.0032,0.0042,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Cover(sketch))
	part.coordinateSystem.translate(V(0,0,0.000635))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=101
	empro.toolkit.applyMaterial(part,materials["cond"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.018887,-0.0001765,0),V(0.018887,-0.0043365,0)))
	edges.append(L(V(0.018887,-0.0043365,0),V(0.01924,-0.0043365,0)))
	edges.append(L(V(0.01924,-0.0043365,0),V(0.01924,-0.0001765,0)))
	edges.append(L(V(0.01924,-0.0001765,0),V(0.019502,-0.0003075,0)))
	edges.append(L(V(0.019502,-0.0003075,0),V(0.024822,-0.0003075,0)))
	edges.append(L(V(0.024822,-0.0003075,0),V(0.024822,0.0003075,0)))
	edges.append(L(V(0.024822,0.0003075,0),V(0.019502,0.0003075,0)))
	edges.append(L(V(0.019502,0.0003075,0),V(0.01924,0.0001765,0)))
	edges.append(L(V(0.01924,0.0001765,0),V(0.018887,-0.0001765,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Cover(sketch))
	part.coordinateSystem.translate(V(0,0,0.000635))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=101
	empro.toolkit.applyMaterial(part,materials["cond"])
	assembly.append(part)
	assembly.name="cond"
	empro.activeProject.geometry().append(assembly)
	assembly=empro.geometry.Assembly()
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0047,-0.0072,0),V(0.004633,-0.00695,0)))
	edges.append(L(V(0.004633,-0.00695,0),V(0.00445,-0.006767,0)))
	edges.append(L(V(0.00445,-0.006767,0),V(0.0042,-0.0067,0)))
	edges.append(L(V(0.0042,-0.0067,0),V(0.00395,-0.006767,0)))
	edges.append(L(V(0.00395,-0.006767,0),V(0.003767,-0.00695,0)))
	edges.append(L(V(0.003767,-0.00695,0),V(0.0037,-0.0072,0)))
	edges.append(L(V(0.0037,-0.0072,0),V(0.003767,-0.00745,0)))
	edges.append(L(V(0.003767,-0.00745,0),V(0.00395,-0.007633,0)))
	edges.append(L(V(0.00395,-0.007633,0),V(0.0042,-0.0077,0)))
	edges.append(L(V(0.0042,-0.0077,0),V(0.00445,-0.007633,0)))
	edges.append(L(V(0.00445,-0.007633,0),V(0.004633,-0.00745,0)))
	edges.append(L(V(0.004633,-0.00745,0),V(0.0047,-0.0072,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0047,0.0032,0),V(0.004633,0.00345,0)))
	edges.append(L(V(0.004633,0.00345,0),V(0.00445,0.003633,0)))
	edges.append(L(V(0.00445,0.003633,0),V(0.0042,0.0037,0)))
	edges.append(L(V(0.0042,0.0037,0),V(0.00395,0.003633,0)))
	edges.append(L(V(0.00395,0.003633,0),V(0.003767,0.00345,0)))
	edges.append(L(V(0.003767,0.00345,0),V(0.0037,0.0032,0)))
	edges.append(L(V(0.0037,0.0032,0),V(0.003767,0.00295,0)))
	edges.append(L(V(0.003767,0.00295,0),V(0.00395,0.002767,0)))
	edges.append(L(V(0.00395,0.002767,0),V(0.0042,0.0027,0)))
	edges.append(L(V(0.0042,0.0027,0),V(0.00445,0.002767,0)))
	edges.append(L(V(0.00445,0.002767,0),V(0.004633,0.00295,0)))
	edges.append(L(V(0.004633,0.00295,0),V(0.0047,0.0032,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.00655,-0.0072,0),V(0.006483,-0.00695,0)))
	edges.append(L(V(0.006483,-0.00695,0),V(0.0063,-0.006767,0)))
	edges.append(L(V(0.0063,-0.006767,0),V(0.00605,-0.0067,0)))
	edges.append(L(V(0.00605,-0.0067,0),V(0.0058,-0.006767,0)))
	edges.append(L(V(0.0058,-0.006767,0),V(0.005617,-0.00695,0)))
	edges.append(L(V(0.005617,-0.00695,0),V(0.00555,-0.0072,0)))
	edges.append(L(V(0.00555,-0.0072,0),V(0.005617,-0.00745,0)))
	edges.append(L(V(0.005617,-0.00745,0),V(0.0058,-0.007633,0)))
	edges.append(L(V(0.0058,-0.007633,0),V(0.00605,-0.0077,0)))
	edges.append(L(V(0.00605,-0.0077,0),V(0.0063,-0.007633,0)))
	edges.append(L(V(0.0063,-0.007633,0),V(0.006483,-0.00745,0)))
	edges.append(L(V(0.006483,-0.00745,0),V(0.00655,-0.0072,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.00655,0.0032,0),V(0.006483,0.00345,0)))
	edges.append(L(V(0.006483,0.00345,0),V(0.0063,0.003633,0)))
	edges.append(L(V(0.0063,0.003633,0),V(0.00605,0.0037,0)))
	edges.append(L(V(0.00605,0.0037,0),V(0.0058,0.003633,0)))
	edges.append(L(V(0.0058,0.003633,0),V(0.005617,0.00345,0)))
	edges.append(L(V(0.005617,0.00345,0),V(0.00555,0.0032,0)))
	edges.append(L(V(0.00555,0.0032,0),V(0.005617,0.00295,0)))
	edges.append(L(V(0.005617,0.00295,0),V(0.0058,0.002767,0)))
	edges.append(L(V(0.0058,0.002767,0),V(0.00605,0.0027,0)))
	edges.append(L(V(0.00605,0.0027,0),V(0.0063,0.002767,0)))
	edges.append(L(V(0.0063,0.002767,0),V(0.006483,0.00295,0)))
	edges.append(L(V(0.006483,0.00295,0),V(0.00655,0.0032,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0084,-0.0072,0),V(0.008333,-0.00695,0)))
	edges.append(L(V(0.008333,-0.00695,0),V(0.00815,-0.006767,0)))
	edges.append(L(V(0.00815,-0.006767,0),V(0.0079,-0.0067,0)))
	edges.append(L(V(0.0079,-0.0067,0),V(0.00765,-0.006767,0)))
	edges.append(L(V(0.00765,-0.006767,0),V(0.007467,-0.00695,0)))
	edges.append(L(V(0.007467,-0.00695,0),V(0.0074,-0.0072,0)))
	edges.append(L(V(0.0074,-0.0072,0),V(0.007467,-0.00745,0)))
	edges.append(L(V(0.007467,-0.00745,0),V(0.00765,-0.007633,0)))
	edges.append(L(V(0.00765,-0.007633,0),V(0.0079,-0.0077,0)))
	edges.append(L(V(0.0079,-0.0077,0),V(0.00815,-0.007633,0)))
	edges.append(L(V(0.00815,-0.007633,0),V(0.008333,-0.00745,0)))
	edges.append(L(V(0.008333,-0.00745,0),V(0.0084,-0.0072,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0084,0.0032,0),V(0.008333,0.00345,0)))
	edges.append(L(V(0.008333,0.00345,0),V(0.00815,0.003633,0)))
	edges.append(L(V(0.00815,0.003633,0),V(0.0079,0.0037,0)))
	edges.append(L(V(0.0079,0.0037,0),V(0.00765,0.003633,0)))
	edges.append(L(V(0.00765,0.003633,0),V(0.007467,0.00345,0)))
	edges.append(L(V(0.007467,0.00345,0),V(0.0074,0.0032,0)))
	edges.append(L(V(0.0074,0.0032,0),V(0.007467,0.00295,0)))
	edges.append(L(V(0.007467,0.00295,0),V(0.00765,0.002767,0)))
	edges.append(L(V(0.00765,0.002767,0),V(0.0079,0.0027,0)))
	edges.append(L(V(0.0079,0.0027,0),V(0.00815,0.002767,0)))
	edges.append(L(V(0.00815,0.002767,0),V(0.008333,0.00295,0)))
	edges.append(L(V(0.008333,0.00295,0),V(0.0084,0.0032,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.01025,-0.0072,0),V(0.010183,-0.00695,0)))
	edges.append(L(V(0.010183,-0.00695,0),V(0.01,-0.006767,0)))
	edges.append(L(V(0.01,-0.006767,0),V(0.00975,-0.0067,0)))
	edges.append(L(V(0.00975,-0.0067,0),V(0.0095,-0.006767,0)))
	edges.append(L(V(0.0095,-0.006767,0),V(0.009317,-0.00695,0)))
	edges.append(L(V(0.009317,-0.00695,0),V(0.00925,-0.0072,0)))
	edges.append(L(V(0.00925,-0.0072,0),V(0.009317,-0.00745,0)))
	edges.append(L(V(0.009317,-0.00745,0),V(0.0095,-0.007633,0)))
	edges.append(L(V(0.0095,-0.007633,0),V(0.00975,-0.0077,0)))
	edges.append(L(V(0.00975,-0.0077,0),V(0.01,-0.007633,0)))
	edges.append(L(V(0.01,-0.007633,0),V(0.010183,-0.00745,0)))
	edges.append(L(V(0.010183,-0.00745,0),V(0.01025,-0.0072,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.01025,0.0032,0),V(0.010183,0.00345,0)))
	edges.append(L(V(0.010183,0.00345,0),V(0.01,0.003633,0)))
	edges.append(L(V(0.01,0.003633,0),V(0.00975,0.0037,0)))
	edges.append(L(V(0.00975,0.0037,0),V(0.0095,0.003633,0)))
	edges.append(L(V(0.0095,0.003633,0),V(0.009317,0.00345,0)))
	edges.append(L(V(0.009317,0.00345,0),V(0.00925,0.0032,0)))
	edges.append(L(V(0.00925,0.0032,0),V(0.009317,0.00295,0)))
	edges.append(L(V(0.009317,0.00295,0),V(0.0095,0.002767,0)))
	edges.append(L(V(0.0095,0.002767,0),V(0.00975,0.0027,0)))
	edges.append(L(V(0.00975,0.0027,0),V(0.01,0.002767,0)))
	edges.append(L(V(0.01,0.002767,0),V(0.010183,0.00295,0)))
	edges.append(L(V(0.010183,0.00295,0),V(0.01025,0.0032,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0121,-0.0072,0),V(0.012033,-0.00695,0)))
	edges.append(L(V(0.012033,-0.00695,0),V(0.01185,-0.006767,0)))
	edges.append(L(V(0.01185,-0.006767,0),V(0.0116,-0.0067,0)))
	edges.append(L(V(0.0116,-0.0067,0),V(0.01135,-0.006767,0)))
	edges.append(L(V(0.01135,-0.006767,0),V(0.011167,-0.00695,0)))
	edges.append(L(V(0.011167,-0.00695,0),V(0.0111,-0.0072,0)))
	edges.append(L(V(0.0111,-0.0072,0),V(0.011167,-0.00745,0)))
	edges.append(L(V(0.011167,-0.00745,0),V(0.01135,-0.007633,0)))
	edges.append(L(V(0.01135,-0.007633,0),V(0.0116,-0.0077,0)))
	edges.append(L(V(0.0116,-0.0077,0),V(0.01185,-0.007633,0)))
	edges.append(L(V(0.01185,-0.007633,0),V(0.012033,-0.00745,0)))
	edges.append(L(V(0.012033,-0.00745,0),V(0.0121,-0.0072,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0121,0.0032,0),V(0.012033,0.00345,0)))
	edges.append(L(V(0.012033,0.00345,0),V(0.01185,0.003633,0)))
	edges.append(L(V(0.01185,0.003633,0),V(0.0116,0.0037,0)))
	edges.append(L(V(0.0116,0.0037,0),V(0.01135,0.003633,0)))
	edges.append(L(V(0.01135,0.003633,0),V(0.011167,0.00345,0)))
	edges.append(L(V(0.011167,0.00345,0),V(0.0111,0.0032,0)))
	edges.append(L(V(0.0111,0.0032,0),V(0.011167,0.00295,0)))
	edges.append(L(V(0.011167,0.00295,0),V(0.01135,0.002767,0)))
	edges.append(L(V(0.01135,0.002767,0),V(0.0116,0.0027,0)))
	edges.append(L(V(0.0116,0.0027,0),V(0.01185,0.002767,0)))
	edges.append(L(V(0.01185,0.002767,0),V(0.012033,0.00295,0)))
	edges.append(L(V(0.012033,0.00295,0),V(0.0121,0.0032,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.01395,-0.0072,0),V(0.013883,-0.00695,0)))
	edges.append(L(V(0.013883,-0.00695,0),V(0.0137,-0.006767,0)))
	edges.append(L(V(0.0137,-0.006767,0),V(0.01345,-0.0067,0)))
	edges.append(L(V(0.01345,-0.0067,0),V(0.0132,-0.006767,0)))
	edges.append(L(V(0.0132,-0.006767,0),V(0.013017,-0.00695,0)))
	edges.append(L(V(0.013017,-0.00695,0),V(0.01295,-0.0072,0)))
	edges.append(L(V(0.01295,-0.0072,0),V(0.013017,-0.00745,0)))
	edges.append(L(V(0.013017,-0.00745,0),V(0.0132,-0.007633,0)))
	edges.append(L(V(0.0132,-0.007633,0),V(0.01345,-0.0077,0)))
	edges.append(L(V(0.01345,-0.0077,0),V(0.0137,-0.007633,0)))
	edges.append(L(V(0.0137,-0.007633,0),V(0.013883,-0.00745,0)))
	edges.append(L(V(0.013883,-0.00745,0),V(0.01395,-0.0072,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.01395,0.0032,0),V(0.013883,0.00345,0)))
	edges.append(L(V(0.013883,0.00345,0),V(0.0137,0.003633,0)))
	edges.append(L(V(0.0137,0.003633,0),V(0.01345,0.0037,0)))
	edges.append(L(V(0.01345,0.0037,0),V(0.0132,0.003633,0)))
	edges.append(L(V(0.0132,0.003633,0),V(0.013017,0.00345,0)))
	edges.append(L(V(0.013017,0.00345,0),V(0.01295,0.0032,0)))
	edges.append(L(V(0.01295,0.0032,0),V(0.013017,0.00295,0)))
	edges.append(L(V(0.013017,0.00295,0),V(0.0132,0.002767,0)))
	edges.append(L(V(0.0132,0.002767,0),V(0.01345,0.0027,0)))
	edges.append(L(V(0.01345,0.0027,0),V(0.0137,0.002767,0)))
	edges.append(L(V(0.0137,0.002767,0),V(0.013883,0.00295,0)))
	edges.append(L(V(0.013883,0.00295,0),V(0.01395,0.0032,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0158,-0.0072,0),V(0.015733,-0.00695,0)))
	edges.append(L(V(0.015733,-0.00695,0),V(0.01555,-0.006767,0)))
	edges.append(L(V(0.01555,-0.006767,0),V(0.0153,-0.0067,0)))
	edges.append(L(V(0.0153,-0.0067,0),V(0.01505,-0.006767,0)))
	edges.append(L(V(0.01505,-0.006767,0),V(0.014867,-0.00695,0)))
	edges.append(L(V(0.014867,-0.00695,0),V(0.0148,-0.0072,0)))
	edges.append(L(V(0.0148,-0.0072,0),V(0.014867,-0.00745,0)))
	edges.append(L(V(0.014867,-0.00745,0),V(0.01505,-0.007633,0)))
	edges.append(L(V(0.01505,-0.007633,0),V(0.0153,-0.0077,0)))
	edges.append(L(V(0.0153,-0.0077,0),V(0.01555,-0.007633,0)))
	edges.append(L(V(0.01555,-0.007633,0),V(0.015733,-0.00745,0)))
	edges.append(L(V(0.015733,-0.00745,0),V(0.0158,-0.0072,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0158,0.0032,0),V(0.015733,0.00345,0)))
	edges.append(L(V(0.015733,0.00345,0),V(0.01555,0.003633,0)))
	edges.append(L(V(0.01555,0.003633,0),V(0.0153,0.0037,0)))
	edges.append(L(V(0.0153,0.0037,0),V(0.01505,0.003633,0)))
	edges.append(L(V(0.01505,0.003633,0),V(0.014867,0.00345,0)))
	edges.append(L(V(0.014867,0.00345,0),V(0.0148,0.0032,0)))
	edges.append(L(V(0.0148,0.0032,0),V(0.014867,0.00295,0)))
	edges.append(L(V(0.014867,0.00295,0),V(0.01505,0.002767,0)))
	edges.append(L(V(0.01505,0.002767,0),V(0.0153,0.0027,0)))
	edges.append(L(V(0.0153,0.0027,0),V(0.01555,0.002767,0)))
	edges.append(L(V(0.01555,0.002767,0),V(0.015733,0.00295,0)))
	edges.append(L(V(0.015733,0.00295,0),V(0.0158,0.0032,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.01765,-0.0072,0),V(0.017583,-0.00695,0)))
	edges.append(L(V(0.017583,-0.00695,0),V(0.0174,-0.006767,0)))
	edges.append(L(V(0.0174,-0.006767,0),V(0.01715,-0.0067,0)))
	edges.append(L(V(0.01715,-0.0067,0),V(0.0169,-0.006767,0)))
	edges.append(L(V(0.0169,-0.006767,0),V(0.016717,-0.00695,0)))
	edges.append(L(V(0.016717,-0.00695,0),V(0.01665,-0.0072,0)))
	edges.append(L(V(0.01665,-0.0072,0),V(0.016717,-0.00745,0)))
	edges.append(L(V(0.016717,-0.00745,0),V(0.0169,-0.007633,0)))
	edges.append(L(V(0.0169,-0.007633,0),V(0.01715,-0.0077,0)))
	edges.append(L(V(0.01715,-0.0077,0),V(0.0174,-0.007633,0)))
	edges.append(L(V(0.0174,-0.007633,0),V(0.017583,-0.00745,0)))
	edges.append(L(V(0.017583,-0.00745,0),V(0.01765,-0.0072,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.01765,0.0032,0),V(0.017583,0.00345,0)))
	edges.append(L(V(0.017583,0.00345,0),V(0.0174,0.003633,0)))
	edges.append(L(V(0.0174,0.003633,0),V(0.01715,0.0037,0)))
	edges.append(L(V(0.01715,0.0037,0),V(0.0169,0.003633,0)))
	edges.append(L(V(0.0169,0.003633,0),V(0.016717,0.00345,0)))
	edges.append(L(V(0.016717,0.00345,0),V(0.01665,0.0032,0)))
	edges.append(L(V(0.01665,0.0032,0),V(0.016717,0.00295,0)))
	edges.append(L(V(0.016717,0.00295,0),V(0.0169,0.002767,0)))
	edges.append(L(V(0.0169,0.002767,0),V(0.01715,0.0027,0)))
	edges.append(L(V(0.01715,0.0027,0),V(0.0174,0.002767,0)))
	edges.append(L(V(0.0174,0.002767,0),V(0.017583,0.00295,0)))
	edges.append(L(V(0.017583,0.00295,0),V(0.01765,0.0032,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0195,-0.0072,0),V(0.019433,-0.00695,0)))
	edges.append(L(V(0.019433,-0.00695,0),V(0.01925,-0.006767,0)))
	edges.append(L(V(0.01925,-0.006767,0),V(0.019,-0.0067,0)))
	edges.append(L(V(0.019,-0.0067,0),V(0.01875,-0.006767,0)))
	edges.append(L(V(0.01875,-0.006767,0),V(0.018567,-0.00695,0)))
	edges.append(L(V(0.018567,-0.00695,0),V(0.0185,-0.0072,0)))
	edges.append(L(V(0.0185,-0.0072,0),V(0.018567,-0.00745,0)))
	edges.append(L(V(0.018567,-0.00745,0),V(0.01875,-0.007633,0)))
	edges.append(L(V(0.01875,-0.007633,0),V(0.019,-0.0077,0)))
	edges.append(L(V(0.019,-0.0077,0),V(0.01925,-0.007633,0)))
	edges.append(L(V(0.01925,-0.007633,0),V(0.019433,-0.00745,0)))
	edges.append(L(V(0.019433,-0.00745,0),V(0.0195,-0.0072,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.0195,0.0032,0),V(0.019433,0.00345,0)))
	edges.append(L(V(0.019433,0.00345,0),V(0.01925,0.003633,0)))
	edges.append(L(V(0.01925,0.003633,0),V(0.019,0.0037,0)))
	edges.append(L(V(0.019,0.0037,0),V(0.01875,0.003633,0)))
	edges.append(L(V(0.01875,0.003633,0),V(0.018567,0.00345,0)))
	edges.append(L(V(0.018567,0.00345,0),V(0.0185,0.0032,0)))
	edges.append(L(V(0.0185,0.0032,0),V(0.018567,0.00295,0)))
	edges.append(L(V(0.018567,0.00295,0),V(0.01875,0.002767,0)))
	edges.append(L(V(0.01875,0.002767,0),V(0.019,0.0027,0)))
	edges.append(L(V(0.019,0.0027,0),V(0.01925,0.002767,0)))
	edges.append(L(V(0.01925,0.002767,0),V(0.019433,0.00295,0)))
	edges.append(L(V(0.019433,0.00295,0),V(0.0195,0.0032,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.02135,-0.0072,0),V(0.021283,-0.00695,0)))
	edges.append(L(V(0.021283,-0.00695,0),V(0.0211,-0.006767,0)))
	edges.append(L(V(0.0211,-0.006767,0),V(0.02085,-0.0067,0)))
	edges.append(L(V(0.02085,-0.0067,0),V(0.0206,-0.006767,0)))
	edges.append(L(V(0.0206,-0.006767,0),V(0.020417,-0.00695,0)))
	edges.append(L(V(0.020417,-0.00695,0),V(0.02035,-0.0072,0)))
	edges.append(L(V(0.02035,-0.0072,0),V(0.020417,-0.00745,0)))
	edges.append(L(V(0.020417,-0.00745,0),V(0.0206,-0.007633,0)))
	edges.append(L(V(0.0206,-0.007633,0),V(0.02085,-0.0077,0)))
	edges.append(L(V(0.02085,-0.0077,0),V(0.0211,-0.007633,0)))
	edges.append(L(V(0.0211,-0.007633,0),V(0.021283,-0.00745,0)))
	edges.append(L(V(0.021283,-0.00745,0),V(0.02135,-0.0072,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0.02135,0.0032,0),V(0.021283,0.00345,0)))
	edges.append(L(V(0.021283,0.00345,0),V(0.0211,0.003633,0)))
	edges.append(L(V(0.0211,0.003633,0),V(0.02085,0.0037,0)))
	edges.append(L(V(0.02085,0.0037,0),V(0.0206,0.003633,0)))
	edges.append(L(V(0.0206,0.003633,0),V(0.020417,0.00345,0)))
	edges.append(L(V(0.020417,0.00345,0),V(0.02035,0.0032,0)))
	edges.append(L(V(0.02035,0.0032,0),V(0.020417,0.00295,0)))
	edges.append(L(V(0.020417,0.00295,0),V(0.0206,0.002767,0)))
	edges.append(L(V(0.0206,0.002767,0),V(0.02085,0.0027,0)))
	edges.append(L(V(0.02085,0.0027,0),V(0.0211,0.002767,0)))
	edges.append(L(V(0.0211,0.002767,0),V(0.021283,0.00295,0)))
	edges.append(L(V(0.021283,0.00295,0),V(0.02135,0.0032,0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Extrude(sketch,0.000635,V(0,0,1)))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.priority=61
	empro.toolkit.applyMaterial(part,materials["hole"])
	assembly.append(part)
	assembly.name="hole"
	empro.activeProject.geometry().append(assembly)
	assembly=empro.geometry.Assembly()
	sketch=empro.geometry.Sketch()
	edges=[]
	edges.append(L(V(0,0.0092,0),V(0,-0.0132,0)))
	edges.append(L(V(0,-0.0132,0),V(0.024822,-0.0132,0)))
	edges.append(L(V(0.024822,-0.0132,0),V(0.024822,0.0092,0)))
	edges.append(L(V(0.024822,0.0092,0),V(0,0.0092,0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex1",V(0,"-0.0082-yLowerExtension",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex2",V(0.024822,"-0.0082-yLowerExtension",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex3",V(0.024822,"0.0042+yUpperExtension",0)))
	sketch.constraintManager().append(empro.geometry.FixedPositionConstraint("vertex0",V(0,"0.0042+yUpperExtension",0)))
	sketch.addEdges(edges)
	part=empro.geometry.Model()
	part.recipe.append(empro.geometry.Cover(sketch))
	part.meshParameters=empro.mesh.ModelMeshParameters()
	part.meshParameters.includeInMesh=False
	part.meshParameters.priority=90
	empro.toolkit.applyMaterial(part,materials["closed_bottom"])
	assembly.append(part)
	assembly.name="closed_bottom"
	empro.activeProject.geometry().append(assembly)
	assembly=empro.geometry.Assembly()
	assembly.name="bondwires"
	session.renumber_waveguides()
	session.notify_success()

def portNbToName():
	portNbToName={}
	portNbToName[1]= ("S(1)",1)
	portNbToName[2]= ("S(2)",1)
	return portNbToName

def main():
	try:
		ads_import()
	except Exception:
		empro.toolkit.ads_import.notify_failure()
		raise

if __name__=="__main__":
	main()
	del ads_import
